Package org.drinkless.tdlib

# Class TdApi.BusinessGreetingMessageSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessGreetingMessageSettings

Enclosing class:
  `TdApi`

public static class TdApi.BusinessGreetingMessageSettings extends TdApi.Object
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `inactivityDays`
  The number of days after which a chat will be considered as inactive; currently, must be on of 7, 14, 21, or 28.
  `TdApi.BusinessRecipients`
  `recipients`
  Chosen recipients of the greeting messages.
  `int`
  `shortcutId`
  Unique quick reply shortcut identifier for the greeting messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessGreetingMessageSettings()`
  Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.
  `BusinessGreetingMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, int inactivityDays)`
  Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### shortcutId

    public int shortcutId
    Unique quick reply shortcut identifier for the greeting messages.

  - ### recipients

    public TdApi.BusinessRecipients recipients
    Chosen recipients of the greeting messages.

  - ### inactivityDays

    public int inactivityDays
    The number of days after which a chat will be considered as inactive; currently, must be on of 7, 14, 21, or 28.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessGreetingMessageSettings

    public BusinessGreetingMessageSettings()
    Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.

  - ### BusinessGreetingMessageSettings

    public BusinessGreetingMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, int inactivityDays)
    Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.
    Parameters:
      `shortcutId` - Unique quick reply shortcut identifier for the greeting messages.
      `recipients` - Chosen recipients of the greeting messages.
      `inactivityDays` - The number of days after which a chat will be considered as inactive; currently, must be on of 7, 14, 21, or 28.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR